      SUBROUTINE PRINTAF ( SNODEP, MSKAF ) 
!
      IMPLICIT REAL (A-H, O-Z)                      
!                                                     
      REAL          SNODEP(512,512) 
      INTEGER       MSKAF (512,512), IPSNO(512)
!                                                                       
      DATA   IAF/512/, JAF/512/
!
      JAFP1 = JAF + 1
!
      PRINT 50
   50 FORMAT(/' LAND-SEA MASK OF USAF GRID '/  &
          ' ',' ( SEA/LAKE=1, LAND=2, COASTAL-LAND=4, OFFWORLD=9 )'/)
!
      DO 100, JJ=1,JAF,8
      J = JAF + 1 - JJ
      PRINT 70, J, (MSKAF(I,J), I=69,IAF,6)
   70 FORMAT(' ', ' J=', I3, 1X, 74I1)
  100 CONTINUE
!
      PRINT 120
  120 FORMAT(/' SNOW/ICE ON USAF GRID'/  &
      ' (ICE-FREE SEA=0, SNOW-FREE LAND=1, SNOWDEPTH=2-8 IN., ICE=9 )'/  &
      ' ','*** SNOWDEPTH CAPPED HERE AT 8 INCHES FOR DISPLAY ONLY ***'/)
!
      DO 200, JJ=1,JAF,8
      J = JAF + 1 - JJ
      DO 150, I=1,IAF
      SR=SNODEP(I,J)*100./2.54
! CAP SEA-ICE AT 9 FOR PRINT PURPOSES
      IPSNO(I)=MIN(9,NINT(SR))
! CAP SNOWDEPTH AT 8 INCHES FOR PRINT PURPOSES
      IF (MSKAF(I,J) .GE. 2) IPSNO(I)=MAX(1,MIN(8,NINT(SR)))
! FORCE PRINT OF ASTERISK FOR OFF-WORLD
      IF (MSKAF(I,J) .EQ. 9) IPSNO(I)=10
  150 CONTINUE    
      PRINT 70, J, (IPSNO(I), I=69,IAF,6)
  200 CONTINUE
!
      RETURN
      END
